export declare function extend<C extends Object, P extends Object>(child: C, parent: P): C & P;
export declare function toArray<T>(data: Array<T> | T): Array<T>;
export declare function getElement(el: string | HTMLElement): HTMLElement | null;
export declare function toNumber(val: any, defaults?: number): number;
/**
 * 生成UUID
 */
export declare function createUUid(): string;
export declare function randomString(length: number, chars?: string): string;
export declare function getUrlParams(): Record<string, any>;
/**
 * 是否为调试模式
 */
export declare function isDebugger(): any;
